import BusX
import MPAKX

public protocol MicItemContext {
  var activityDate: MPAK.Recent<Date?> { get }
}

extension MicItem {
  public struct Model: MicItemContext {
    public var activityDate: MPAK.Recent<Date?> = .init(nil)
  }

  final class Controller: MPAK.Controller<MicItem.Model> {
    init() {
      super.init(
        MicItem.Model(),
        debugClassName: "MicICtrl",
        debugLog: { print($0) }
      )


      // Нижеследующее предстоит сгенерить.
      m
        .sink { v in Bus.send(K.MI, v) }
        .store(in: &subscriptions)
    }
  }
}
